php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #71089 No check to duplicate zend_extension (can raise segfault)
Submitted: 2015-12-11 11:52 UTC Modified: 2015-12-11 12:19 UTC
From: remi@php.net Assigned: remi
Status: Closed Package: *General Issues
PHP Version: 5.6.16 OS: irrevelant
Private report: No CVE-ID:
Password:
Status:
Package:
Bug Type:
Summary:
From: remi@php.net
New email:
PHP Version: OS:

 

 [2015-12-11 11:52 UTC] remi@php.net
Description:
------------
You can load twice the same zend_extension...

Which can create very strange bug
(including segfault in zend_interned_strings_dtor)


Test script:
---------------
$ php -n -d zend_extension=opcache.so -d zend_extension=opcache.so -m

Expected result:
----------------
PHP Warning:  Module 'opcache' already loaded in Unknown on line 0

(like for standard extension)



Actual result:
--------------
...
[Zend Modules]
Zend OPcache
Zend OPcache


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-12-11 12:19 UTC] remi@php.net
-Status: Open +Status: Assigned -Assigned To: +Assigned To: remi
 [2015-12-11 12:22 UTC] remi@php.net
Automatic comment on behalf of remi
Revision: http://git.php.net/?p=php-src.git;a=commit;h=410eacc1a9b50ec3cb6c5fc0ff252516d0c0a4f1
Log: Fix Bug #71089 No check to duplicate zend_extension
 [2015-12-11 12:22 UTC] remi@php.net
-Status: Assigned +Status: Closed
 [2015-12-11 12:23 UTC] remi@php.net
Automatic comment on behalf of remi
Revision: http://git.php.net/?p=php-src.git;a=commit;h=410eacc1a9b50ec3cb6c5fc0ff252516d0c0a4f1
Log: Fix Bug #71089 No check to duplicate zend_extension
 [2015-12-11 12:34 UTC] remi@php.net
New comment is: "Cannot load Zend OPcache - extension already loaded"
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Wed May 24 00:01:35 2017 UTC